@import './src/styles/variables';
@import './src/styles/base-components/border';

.note {
  @extend .border;
  padding: 12px 16px 16px 16px;
  box-sizing: border-box;
  background: $moon-light;
  border-radius: 8px;

  input[type='checkbox']{
    width: 32px;
    height: 32px;
    margin: 0 12px 0 0;
  }

  textarea {
    resize: none;
    width: 100%;
    min-height: 120px;
    font-size: 20px;
    padding: 8px;
    box-sizing: border-box;

    &[disabled] {
      color: $black;
    }
  }

  // .note__main

  &__main{
    display: flex;
    margin-bottom: 20px;
  }

  // .note__wrapper-textarea

  &__wrapper-textarea{
    width: 100%;
  }

  // .note__controls

  &__controls{
    display: flex;
    justify-content: flex-end;
    .btn {
      &:not(:last-child) {
        margin-right: 12px;
      }
    }
  }
}
